<?php

if (is_null(theme_get_setting('ad_redoable_block_editing'))) {
  global $theme_key;

  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the theme-settings.php file.
   */
  $defaults = array(
    'ad_redoable_block_editing' => 1,
    'ad_redoable_breadcrumb' => 'yes',
    'ad_redoable_breadcrumb_separator' => ' › ',
    'ad_redoable_breadcrumb_home' => 1,
    'ad_redoable_breadcrumb_trailing' => 1,
  );

  // Get default theme settings.
  $settings = theme_get_settings($theme_key);
  // Don't save the toggle_node_info_ variables.
  if (module_exists('node')) {
    foreach (node_get_types() as $type => $name) {
      unset($settings['toggle_node_info_' . $type]);
    }
  }
  // Save default theme settings.
  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge($defaults, $settings)
  );
  // Force refresh of Drupal internals.
  theme_get_setting('', TRUE);
}
